class.ind {nnet} | R Documentation

## Generates Class Indicator Matrix from a Factor

### Description

Generates a class indicator function from a given factor.

### Usage

    class.ind(cl)

### Arguments

`cl` | factor or vector of classes for cases.

### Value

a matrix which is zero except for the column corresponding to the class.

### References

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### Examples

    # The function is currently defined as
    class.ind <- function(cl)
    {
      n <- length(cl)
      cl <- as.factor(cl)
      x <- matrix(0, n, length(levels(cl)) )
      x[(1:n) + n*(unclass(cl)-1)] <- 1
      dimnames(x) <- list(names(cl), levels(cl))
      x
    }

[Package Contents]